<!DOCTYPE html>
<html lang="en">

<head>

  <!-- Basic Page Needs
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta charset="utf-8">

  <title>Votes Graph</title>

  <!--
This tool uses the vis.js Javascript library. Copyright notices are included below.

The MIT License (MIT)

Copyright (c) 2014-2017 Almende B.V.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
//-->

  <meta name="description" content="">
  <meta name="author" content="">


  <!-- Mobile Specific Metas
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- FONT
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link href='//fonts.googleapis.com/css?family=Raleway:400,300,600' rel='stylesheet' type='text/css'>

  <!-- CSS
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="stylesheet" href="/static/Skeleton-2.0.4/css/normalize.css">
  <link rel="stylesheet" href="/static/Skeleton-2.0.4/css/skeleton.css">
  <link rel="stylesheet" href="/static/Skeleton-2.0.4/css/custom.css">

  <!-- Scripts
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
  <script src="https://google-code-prettify.googlecode.com/svn/loader/run_prettify.js"></script>

  <!-- Favicon
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="icon" type="image/png" href="/static/images/favicon-16px.png" sizes="16x16">
  <link rel="icon" type="image/png" href="/static/images/favicon-32px.png" sizes="32x32">

  <script>
    (function (i, s, o, g, r, a, m) {
      i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
        (i[r].q = i[r].q || []).push(arguments)
      }, i[r].l = 1 * new Date(); a = s.createElement(o),
        m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
    })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

    ga('create', 'UA-88016176-2', 'auto');
    ga('send', 'pageview');
  </script>


  <style type="text/css">
    html,
    body {
      font: 10pt arial;
      width: 100%;
    }

    #mynetwork {
      /*      width: 600px; */
      /*      height: 600px; */
      border: 1px solid lightgray;
      /*      background-color: red; */
    }

    .container {
      margin: 10px;
      width: 100%;
      max-width: 95%;
      height: 70%;
      max-height: 70%;
    }

    form {
      margin-bottom: 0px;
    }

    h2,
    p {
      margin-bottom: 5px;
    }


    #helpbox {
      padding: 10px;
      border: 1px solid black;
      border-radius: 10px;
      max-width: 20%;
      background: black;
      position: fixed;
      top: 10px;
      right: 10px;
      text-align: center;
    }

    #helpbox>a {
      cursor: pointer;
      font-weight: 700;
    }

    #infoholder {
      font-size: 1.1em;
      color: #d3d3d3;
      padding: 10px;
      padding-right: 20px;
      border: 1px solid #d3d3d3;
      border-radius: 10px;
      max-width: 43%;
      background: black;
      position: fixed;
      top: 10px;
      right: 10px;
      visibility: hidden;
      /*        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
*/
    }

    #closeinfobutton {
      position: absolute;
      top: 0;
      right: 5px;
      font-size: 1.5em;
      font-weight: 800;
    }

    #closeinfobuttonlink {
      cursor: pointer;
    }
  </style>

  <script type="text/javascript" src="../../static/vis.js"></script>
  <link href="../../static/vis-network.min.css" rel="stylesheet" type="text/css">

  <script type="text/javascript">
    var nodes = null;
    var edges = null;
    var network = null;
    var ctrlPressed = false;

    $(window).keydown(function (evt) {
      if (evt.which == 17) { // ctrl
        ctrlPressed = true;
      }
    }).keyup(function (evt) {
      if (evt.which == 17) { // ctrl
        ctrlPressed = false;
      }
    });

    function draw() {
      $('#mynetwork').css('width', window.innerWidth - 35);
      $('#mynetwork').css('height', window.innerHeight - 170);

      // create people.
      // value corresponds with the age of the person
      nodes = [
        { 
          'image': 'https://cdn.steemitimages.com/DQmTL9ZaczkD3LfbAbTT54VMTWxx5rSq9X4e2mAnfhLZywk/1.PNG',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 0, 'value': 6.935216439521634, 'label': 'abh12345', 'shape': 'circularImage',
          'borderWidth': 0.25, 'font': '16px arial'
        },
        { 'image': 'http://i.cubeupload.com/aCpO3L.png',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 1, 'value': 7.20915123941869, 'label': 'arcange', 'shape': 'circularImage',
          'borderWidth': 0.125, 'font': '16px arial'
        },
        {
          'image': 'https://cdn.steemitimages.com/DQmaCuEk3HH2LH1xSTz76Pbq6AG6ApJGPYW8SUDunAtwReU/Screenshot_20190207-164038_2.jpg',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 2, 'value': 4.489855359116778, 'label': 'cryptopie', 'shape': 'circularImage',
          'borderWidth': 0.25, 'font': '16px arial'
        },
        {
          'image': 'https://steemitimages.com/DQmQdUvZKuiCr36QZxBkqTKr54Aaue7c2BnUGgXoFYoBz7P/eastmael2c.jpg',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 3, 'value': 2.8487956972766115, 'label': 'eastmael', 'shape': 'circularImage',
          'borderWidth': 0.125, 'font': '16px arial'
        },
        {
          'image': 'https://cdn.steemitimages.com/DQmWajPvyN9ZzzwqTiycHY6fcazAxBW5FnooQXpuQVsTJQJ/IMG_0705.jpg',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 4, 'value': 1.7666019275985445, 'label': 'rt395', 'shape': 'circularImage',
          'borderWidth': 0.125, 'font': '16px arial'
        },
        {
          'image': 'https://cdn.steemitimages.com/DQmcry3WGNhjVC4kAkF4PuNYPAur4FPkAY1dVbvm4u8TWXS/steemgigs%20profile%20logo.png',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 5,'value': 2.0058613895752395, 'label': 'surpassinggoogle', 'shape': 'circularImage',
          'borderWidth': 0.625, 'font': '16px arial'
        },
        {
          'image': 'https://thumbs.dreamstime.com/b/birthday-kitten-cupcake-8707382.jpg',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 6, 'value': 7.207761936228866, 'label': 'taskmaster4450', 'shape': 'circularImage',
          'borderWidth': 0.14999999999999999, 'font': '16px arial'
        },
        {
          'image': 'https://cdn.steemitimages.com/DQmdU3Fe4bRya2H9Zh7Rex66zLeY9YDT5Z35gJb2ykMnqVs/callmeee.png',
          'color': {
            'highlight': { 'border': '#000000' }
          },
          'id': 7, 'value': 13.375524851692324, 'label': 'theycallmedan', 'shape': 'circularImage',
          'borderWidth': 0.125, 'font': '16px arial'
        }
      ];

      // create connections between people
      // value corresponds with the amount of contact between two people
      edges = [
        { 'to': 0, 'width': 2, 'from': 1, 'arrows': { 'to': { 'scaleFactor': 1.2819885212914837 } } },
        { 'to': 0, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.7164341888185038 } } },
        { 'to': 0, 'width': 2, 'from': 6, 'arrows': { 'to': { 'scaleFactor': 1.0193314684571422 } } },
        { 'to': 1, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.7164341888185038 } } },
        { 'to': 2, 'width': 2, 'from': 1, 'arrows': { 'to': { 'scaleFactor': 0.754535101236775 } } },
        { 'to': 2, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.7164341888185038 } } },
        { 'to': 2, 'width': 2, 'from': 7, 'arrows': { 'to': { 'scaleFactor': 1.7454617337379252 } } },
        { 'to': 4, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.6024469411426827 } } },
        { 'to': 5, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.7164341888185038 } } },
        { 'to': 5, 'width': 2, 'from': 6, 'arrows': { 'to': { 'scaleFactor': 0.7543896918830012 } } },
        { 'to': 6, 'width': 2, 'from': 1, 'arrows': { 'to': { 'scaleFactor': 0.754535101236775 } } },
        { 'to': 6, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.7164341888185038 } } },
        { 'to': 7, 'width': 2, 'from': 0, 'arrows': { 'to': { 'scaleFactor': 1.233275259856477 } } },
        { 'to': 7, 'width': 2, 'from': 1, 'arrows': { 'to': { 'scaleFactor': 1.4187535177766357 } } },
        { 'to': 7, 'width': 2, 'from': 3, 'arrows': { 'to': { 'scaleFactor': 0.7164341888185038 } } }
      ]

      // Instantiate our network object.
      var container = document.getElementById('mynetwork');
      var data = {
        nodes: nodes,
        edges: edges
      };
      var options = {

        "edges": {
          "smooth": false
        },

        "physics": {
          "hierarchicalRepulsion": {
            "centralGravity": 0,
            "springConstant": 0
          },
          "minVelocity": 0.1,
          "maxVelocity": 1.5,
          "solver": "hierarchicalRepulsion"
        },

        interaction: {
          hover: true
        },

        nodes: {
          shape: 'dot',
          scaling: {
            customScalingFunction: function (min, max, total, value) {
              return value / total;
            },
            min: 10,
            max: 100
          }
        }
      };
      network = new vis.Network(container, data, options);

      network.on('click', function (params) {
        account = nodes[params.nodes[0]].label;
        if (ctrlPressed) {
          // todo allow navigation to other centers
          document.getElementById('accounts').value = account;
          document.getElementById('theform').submit();
        } else {
          window.open('https://www.hive.blog/@' + account);
        }
      });
    }


    function highlightEdge(values, id, selected, hovering) {
      values.color = "#00ff00";
    }

    function processKey(event) {
      if (event.keyCode == 13) {
        document.getElementById('theform').submit();
      }
    }

    function OpenInfoHolder() {
      document.getElementById('infoholder').style.visibility = 'visible';
    }
    function CloseInfoHolder() {
      document.getElementById('infoholder').style.visibility = 'hidden';
    }

    window.onload = setTimeout(draw, 200);

  </script>


</head>

<body>

  <!-- Primary Page Layout
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <div class="container">

    <h2>Hive Basic Votes Graph
      <span style="font-size: 0.5em">
        <a href="/votes-graph-enhanced/?accounts=eastmael">click for enhanced graph</a>
      </span>
    </h2>
    <form id="theform" method="GET">
      Enter the account names to show separated by commas:
      <input onkeypress="return processKey(event)" value="eastmael" type="text" id="accounts" name="accounts" size=70>
      <button onclick="document.getElementById('theform').submit();">Plot</button>
    </form>
    <div id="mynetwork">
      <div class="vis-network" tabindex="900"
        style="position: relative; overflow: hidden; touch-action: pan-y; -webkit-user-select: none; -webkit-user-drag: none; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); width: 100%; height: 100%;">
        <canvas width="750" height="750"
          style="position: relative; touch-action: none; -webkit-user-select: none; -webkit-user-drag: none; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); width: 100%; height: 100%;"></canvas>
      </div>
    </div>

    <div id="helpbox">
      <a id="helplink" onclick='OpenInfoHolder()'>Info</a><br>
    </div>

    <div id="infoholder">
      <div id='closeinfobutton'><a onclick='CloseInfoHolder();' id='closeinfobuttonlink'>X</a></div>
      <p>
        This tool combines all votes over the last 7 days given and received by
        the accounts entered. You can drag the account icons around to position
        them as you like, and pan and zoom to see more detail if necessary.
      </p>
      <p>
        It plots the data as a directional network graph where
        the arrow sizes represent the approximate total power of votes,
        and the icon sizes show the Hive Power each account owns.
      </p>
      <p>
        The width of the border of each node indicates the extent of self-voting.
      </p>
      <p>
        If you enter a single account name, the software looks for up to 9
        other accounts which the account interacts with a lot.
      </p>
      <p>
        If you enter a tag such as #Hive, the software looks for up to 15
        related accounts which interact a lot.
      </p>
      <p>
        Clicking an account icon opens that Hive account and clicking whilst
        holding down the Ctrl key loads the graph for that user.
      </p>
    </div>


    <!--
    <div class="navbar-spacer"></div>
    <nav class="navbar">
      <div class="container">
        <ul class="navbar-list">
          <li class="navbar-item"><a class="navbar-link" href="#intro">Intro</a></li>
          <li class="navbar-item">
            <a class="navbar-link" href="#" data-popover="#codeNavPopover">Code</a>
          </li>
        </ul>
      </div>
    </nav>
//-->

    <!--
    <div class="docs-section" id="intro">
      <h6 class="docs-header">We are developing tools and services to help you...</h6>
    </div>
//-->

  </div>
</body>

</html>